mutation CreateEnterprise(
  $enterpriseNumber: String!,
  $enterpriseName: String!,
  $enterpriseCode: String!
) @auth(level: USER) {
  enterprise_insert(
    data: {
      enterpriseNumber: $enterpriseNumber
      enterpriseName: $enterpriseName
      enterpriseCode: $enterpriseCode
    }
  )
}

mutation UpdateEnterprise(
  $id: UUID!,
  $enterpriseNumber: String,
  $enterpriseName: String,
  $enterpriseCode: String
) @auth(level: USER) {
  enterprise_update(
    id: $id,
    data: {
      enterpriseNumber: $enterpriseNumber
      enterpriseName: $enterpriseName
      enterpriseCode: $enterpriseCode
    }
  )
}

mutation DeleteEnterprise(
  $id: UUID!
) @auth(level: USER) {
  enterprise_delete(id: $id)
}
